<?php

use drp\AdminPanel\User\Repository\UserRepository;
use Illuminate\Database\Seeder;

class AdminUsersSeeder extends Seeder
{
    /**
     * @var UserRepository
     */
    protected $repository;

    public function __construct(UserRepository $repository)
    {
        $this->repository = $repository;
    }

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->repository->store([
            'email'     => 'admin@admin.com',
            'password'  => 'password',
            'firstname' => 'admin',
            'lastname'  => 'admin',
            'role'      => 'Administrator'
        ]);
    }
}
